/* -*-C-*-
*******************************************************************************
*
* File:         PGP.h
* RCS:          /usr/local/sources/CVS/EnhanceMail/PGP.h,v 1.2 1997/04/20 14:52:24 tom Exp
* Description:  
* Author:       Carl Edman
* Created:      Fri Oct 13 11:48:24 1995
* Modified:     Sat Jun 29 18:58:23 1996 (Carl Edman) cedman@capitalist.princeton.edu
* Language:     C
* Package:      N/A
* Status:       Experimental (Do Not Distribute)
*
* (C) Copyright 1995, but otherwise this file is perfect freeware.
*
*******************************************************************************
*/

#import <appkit/appkit.h>

@interface EnhancePGP : Object
{
   id passPanel;
   id userField;
   id passField;
   
   id errPanel;
   id errText;
   id errDefaultButton;
   id errNonDefaultButton;

   time_t passTime;
}

+ new;

- (int)handleError:(const char *)err ok:(BOOL)defok;

- getUser:(const char **)user pass:(const char **)pass;
- clobberPass;

- reenter:sender;
- ok:sender;
- cancel:sender;

- (int)runPGP:(SimpleString *)In to:(SimpleString *)Out error:(SimpleString *)Err args:(const char **)argv;
- (BOOL)grabKey:(const char *)keyid;
- (BOOL)encodePGP:(MailMessage *)mes to:(StringList *)rcpt sign:(BOOL)sign encrypt:(BOOL)encrypt;
- (BOOL)decodePGP:(MailMessage *)mes;
@end
